Public Class clsAlbum
    '-- Enumerations --
    '-- Fields --
    Private msAlbId As String 'AlbumID
    Private msAlbNaam As String 'AlbumNaam
    Private msProdJaar As String 'ProductieJaar
    Private msProdHuis As String 'ProductieHuis
    Private msAantalLiedjes As String   'AantalLiedjes
    Private msGenreId As String   'GenreID
    Private msLocId As String  'LocatieID
    Private msFoto As String 'Foto (as object???)
    '-- Properties --
    Public Property AlbumId() As String
        Get
            Return Me.msAlbId

        End Get
        Set(ByVal Value As String)
            Me.msAlbId = Value.Trim
        End Set
    End Property
    Public Property AlbumNaam() As String
        Get
            Return Me.msAlbNaam
        End Get
        Set(ByVal Value As String)
            Me.msAlbNaam = Value
        End Set
    End Property
    Public Property ProductieJaar() As String
        Get
            Return Me.msProdJaar
        End Get
        Set(ByVal Value As String)
            Me.msProdJaar = Value.Trim
        End Set
    End Property
    Public Property Productiehuis() As String
        Get
            Return Me.msProdHuis

        End Get
        Set(ByVal Value As String)
            Me.msProdHuis = Value
        End Set
    End Property
    Public Property AantalLiedjes() As String
        Get
            Return Me.msAantalLiedjes
        End Get
        Set(ByVal Value As String)
            Me.msAantalLiedjes = Value.Trim
        End Set
    End Property
    Public Property GenreId() As String
        Get
            Return Me.msGenreId
        End Get
        Set(ByVal Value As String)
            Me.msGenreId = Value.Trim
        End Set
    End Property
    Public Property LocatieId() As String
        Get
            Return Me.msLocId

        End Get
        Set(ByVal Value As String)
            Me.msLocId = Value.Trim
        End Set
    End Property
    Public Property Foto() As String
        Get
            Return Me.msFoto
        End Get
        Set(ByVal Value As String)
            Me.msFoto = Value
        End Set
    End Property
    Public Sub New()

    End Sub

    Public Sub New(ByVal sAlbumId As String)
        Me.AlbumId = sAlbumId
    End Sub
    Public Sub New(ByVal sAlbumId As String, ByVal sAlbumNaam As String, ByVal sProductieJaar As String, ByVal sProductieHuis As String, ByVal sAantalLiedjes As String, ByVal sGenreID As String, ByVal sLocatieId As String, ByVal sFoto As String)
        Me.AlbumId = sAlbumId
        Me.AlbumNaam = sAlbumNaam
        Me.ProductieJaar = sProductieJaar
        Me.Productiehuis = sProductieHuis
        Me.AantalLiedjes = sAantalLiedjes
        Me.GenreId = sGenreID
        Me.LocatieId = sLocatieId
        Me.Foto = sFoto

    End Sub

    Public Overrides Function toString() As String
        Return "ALBUM ID: " & Me.msAlbId & "  ALBUM NAAM:  " & Me.msAlbNaam & "  PRODUCTIE JAAR:  " & Me.msProdJaar & "  SOORT:  " & Me.msProdHuis & "  GENRE ID:  " & Me.msGenreId & "  LOCATIE ID:  " & Me.msLocId & "  FOTO PATH:  " & Me.msFoto

    End Function

End Class
